#
# weechat -- buflist.conf
#
# WARNING: It is NOT recommended to edit this file by hand,
# especially if WeeChat is running.
#
# Use commands like /set or /fset to change settings in WeeChat.
#
# For more info, see: https://weechat.org/doc/weechat/quickstart/
#

[look]
add_newline = on
auto_scroll = 50
display_conditions = "${buffer.hidden}==0"
enabled = on
mouse_jump_visited_buffer = off
mouse_move_buffer = on
mouse_wheel = on
nick_prefix = off
nick_prefix_empty = on
signals_refresh = ""
sort = "number,-active"
use_items = 1

[format]
buffer = "${format_number}${indent}${format_nick_prefix}${color_hotlist}${name}"
buffer_current = "${color:,blue}${format_buffer}"
hotlist = " ${color:246}${hotlist}${color:246}"
hotlist_highlight = "${color:163}"
hotlist_low = "${color:darkgray}"
hotlist_message = "${color:231}"
hotlist_none = "${color:gray}"
hotlist_private = "${color:031}"
hotlist_separator = "${color:gray},"
indent = " "
lag = " ${color:green}[${color:brown}${lag}${color:green}]"
name = "${name}"
nick_prefix = "${color_nick_prefix}${nick_prefix}"
number = "${if:${type}==server?${color:black,31}:${color:239}}${number}${if:${number_displayed}?.: }"
tls_version = " ${color:default}(${if:${tls_version}==TLS1.3?${color:green}:${if:${tls_version}==TLS1.2?${color:yellow}:${color:red}}}${translate:${tls_version}}${color:default})"
